<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetEmccFeatureConfigReq StructType
 * @subpackage Structs
 */
class GetEmccFeatureConfigReq extends AbstractStructBase
{
    /**
     * The parameterName
     * Meta information extracted from the WSDL
     * - documentation: Name of the Emcc Parameter
     * - base: xsd:string
     * - choice: parameterName | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: false
     * @var string
     */
    public $parameterName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - choice: parameterName | uuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 1
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\REmccFeatureConfig
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetEmccFeatureConfigReq
     * @uses GetEmccFeatureConfigReq::setParameterName()
     * @uses GetEmccFeatureConfigReq::setUuid()
     * @uses GetEmccFeatureConfigReq::setReturnedTags()
     * @uses GetEmccFeatureConfigReq::setSequence()
     * @param string $parameterName
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\REmccFeatureConfig $returnedTags
     * @param int $sequence
     */
    public function __construct($parameterName = null, $uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\REmccFeatureConfig $returnedTags = null, $sequence = null)
    {
        $this
            ->setParameterName($parameterName)
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get parameterName value
     * @return string
     */
    public function getParameterName()
    {
        return isset($this->parameterName) ? $this->parameterName : null;
    }
    /**
     * Set parameterName value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $parameterName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetEmccFeatureConfigReq
     */
    public function setParameterName($parameterName = null)
    {
        if (is_null($parameterName) || (is_array($parameterName) && empty($parameterName))) {
            unset($this->parameterName);
        } else {
            $this->parameterName = $parameterName;
        }
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return isset($this->uuid) ? $this->uuid : null;
    }
    /**
     * Set uuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetEmccFeatureConfigReq
     */
    public function setUuid($uuid = null)
    {
        if (is_null($uuid) || (is_array($uuid) && empty($uuid))) {
            unset($this->uuid);
        } else {
            $this->uuid = $uuid;
        }
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\REmccFeatureConfig|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\REmccFeatureConfig $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetEmccFeatureConfigReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\REmccFeatureConfig $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetEmccFeatureConfigReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
